import { createApp } from 'vue'
import App from './App.vue'

import setupAppUse from '../plugins/app-use'

import '@/assets/styles/index.scss'

// svg图标注册
import 'virtual:svg-icons-register'
// 创建实例
const setupAll = async () => {
  const app = createApp(App)
  app.use(setupAppUse)
  app.mount('#app')
}
setupAll()
